=== modified file 'HACKING'
--- HACKING	2006-10-10 01:32:13 +0000
+++ HACKING	2006-10-11 01:17:15 +0000
@@ -227,14 +227,18 @@
   from bzrlib import (
      errors,
      transport,
-     foo as bar,
+     revision as _mod_revision,
      )
   import bzrlib.transport
   import bzrlib.xml5
   """)
 
 At this point, all of these exist as a ``ImportReplacer`` object, ready to
-be imported once a member is accessed.
+be imported once a member is accessed. Also, when importing a module into
+the local namespace, which is likely to clash with variable names, it is
+recommended to prefix it as ``_mod_<module>``. This makes it clean that
+the variable is a module, and these object should be hidden anyway, since
+they shouldn't be imported into other namespaces.
 
 
 Modules versus Members

=== modified file 'TODO'
--- TODO	2006-06-03 16:23:09 +0000
+++ TODO	2006-10-11 01:17:15 +0000
@@ -371,6 +371,11 @@
   This has been implemented, but it does not remove the texts from
   the store.
 
+* ``bzrlib.lazy_import.lazy_import`` could check to see if a given
+  module has already been imported (look at ``sys.modules``). If it
+  has, then just import it directly, rather than creating a lazy
+  object.
+
 
 Large things
 ------------

